<rtflowfile version="1.0">
   <block name="Derivative" folder="Standard\Dynamic\" width="32" height="32">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="false" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="32" y2="32">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="text" x="16" y="10" height="12" s="d" font="Times New Roman"/>
      <graphic class="text" x="16" y="22" height="12" s="dt" font="Times New Roman"/>
      <graphic class="line" x1="10" y1="16" x2="22" y2="16" style="solid"/>
      <doc>Differentiates a real-valued signal. The derivative is computed by taking the difference between i0 at this cycle and the previous cycle and dividing it by the sample time.</doc>
      <port name="i0" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The signal to differentiate.</doc>
      </port>
      <port name="o" type="real" x="32" y="16" kind="output" dir="right">
         <doc>The derivative of i0.</doc>
      </port>
   </block>
   <schematic width="930" height="602" name="Derivative">
      <editor gridsize="16" alignports="true"/>
      <binstance name="Pre1" block="Pre" x="160" y="80">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="Sub1" block="Sub" x="240" y="48"/>
      <binstance name="Div1" block="Div" x="304" y="80"/>
      <binstance name="i0" block="RealInput" x="64" y="48"/>
      <binstance name="o" block="RealOutput" x="368" y="88"/>
      <binstance name="Dt1" block="Dt" x="240" y="112"/>
      <connection name="pre_i" port1="Pre1.o" port2="Sub1.i1">
         <point x="192" y="96"/>
         <point x="208" y="96"/>
         <point x="208" y="72"/>
         <point x="242" y="72"/>
      </connection>
      <connection name="i0" port1="i0.o" port2="Sub1.i0">
         <point x="80" y="56"/>
         <point x="242" y="56"/>
      </connection>
      <connection name="i0" port1="i0.o" port2="Pre1.i0">
         <point x="80" y="56"/>
         <point x="120" y="56"/>
         <point x="120" y="96"/>
         <point x="160" y="96"/>
      </connection>
      <connection name="o" port1="o.i0" port2="Div1.o">
         <point x="368" y="96"/>
         <point x="336" y="96"/>
      </connection>
      <connection name="diff" port1="Sub1.o" port2="Div1.i0">
         <point x="272" y="64"/>
         <point x="289" y="64"/>
         <point x="289" y="88"/>
         <point x="306" y="88"/>
      </connection>
      <connection name="Dt1_o_1" port1="Dt1.o" port2="Div1.i1">
         <point x="272" y="128"/>
         <point x="289" y="128"/>
         <point x="289" y="104"/>
         <point x="306" y="104"/>
      </connection>
   </schematic>
</rtflowfile>
